import 'package:flutter/material.dart';

import '../theme/colors/app_colors.dart';
import '../theme/theme_text_style.dart';

extension BuildContextExt on BuildContext {
  ThemeTextStyles get text => Theme.of(this).extension<ThemeTextStyles>()!;

  AppThemeColors get color => Theme.of(this).extension<AppThemeColors>()!;

  bool get isDarkMode => Theme.of(this).brightness == Brightness.dark;
}
